| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
privileges.h File Reference
`#include <wireshark.h>`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC void | init_process_policies (void)
| Initializes process-level security policies.
WS_DLL_PUBLIC bool | started_with_special_privs (void)
| Checks whether the program was started with special privileges.
WS_DLL_PUBLIC bool | running_with_special_privs (void)
| Checks whether the program is currently running with special privileges.
WS_DLL_PUBLIC void | relinquish_special_privs_perm (void)
| Permanently drops any special privileges.
WS_DLL_PUBLIC char * | get_cur_username (void)
| Retrieves the current username.
WS_DLL_PUBLIC char * | get_cur_groupname (void)
| Retrieves the current group name.

## Detailed Description

Declarations of routines for handling privileges.

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2006 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ get_cur_groupname()

WS_DLL_PUBLIC char * get_cur_groupname | ( | void |  | ) |

Retrieves the current group name.

Returns the current group name of the process. The returned string must be freed with g_free() after use.

Returns
  A newly allocated string containing the group name, or "UNKNOWN" on failure.

## ◆ get_cur_username()

WS_DLL_PUBLIC char * get_cur_username | ( | void |  | ) |

Retrieves the current username.

Returns the current username of the process. The returned string must be freed with g_free() after use.

Returns
  A newly allocated string containing the username, or "UNKNOWN" on failure.

## ◆ init_process_policies()

WS_DLL_PUBLIC void init_process_policies | ( | void |  | ) |

Initializes process-level security policies.

Called during program startup to enable security features and capture credential information needed for privilege checks and user context.

## ◆ relinquish_special_privs_perm()

WS_DLL_PUBLIC void relinquish_special_privs_perm | ( | void |  | ) |

Permanently drops any special privileges.

Requires a prior call to get_credential_info(). This function relinquishes special privileges for the remainder of the process lifetime.

## ◆ running_with_special_privs()

WS_DLL_PUBLIC bool running_with_special_privs | ( | void |  | ) |

Checks whether the program is currently running with special privileges.

Requires a prior call to get_credential_info(). This function determines whether the process still retains special privileges at runtime.

Returns
  true if the program is currently running with special privileges, false otherwise.

## ◆ started_with_special_privs()

WS_DLL_PUBLIC bool started_with_special_privs | ( | void |  | ) |

Checks whether the program was started with special privileges.

Requires a prior call to get_credential_info(). This function determines whether the process originally launched with special privileges (e.g., root).

Returns
  true if the program started with special privileges, false otherwise.